> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bot templates

> Returns the list of bot templates created for a Client ID (application).

**Required scopes:** `bots.templates:rw`


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/list_bot_templates
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_bot_templates:
    post:
      tags:
        - Bots
      summary: List bot templates
      description: Returns the list of bot templates created for a Client ID (application).
      operationId: list-bot-templates
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListBotTemplatesRequest'
            example:
              owner_client_id: 238ac5c3c3628210aca289c6d700d2c1
      responses:
        '200':
          description: A list of bot templates.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BotListItem'
              example:
                - id: 2c1b8da190222160e8f9e077af4c625b
                  name: Bot Name
                  avatar_path: example.com/avatar.jpg
components:
  schemas:
    ListBotTemplatesRequest:
      type: object
      required:
        - owner_client_id
      properties:
        owner_client_id:
          type: string
          description: >-
            The Client ID that owns the bot templates to list. Must be owned by
            your organization.
    BotListItem:
      type: object
      properties:
        id:
          type: string
          description: The bot ID.
        name:
          type: string
          description: The display name.
        avatar_path:
          type: string
          description: The URL of the bot's avatar.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````